Skip to main content
POST
/
organizations
/
{organizationId}
/
teams
Create a team
curl --request POST \
  --url https://app.formbricks.com/api/v2/organizations/{organizationId}/teams \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "My team"
}
'
import requests

url = "https://app.formbricks.com/api/v2/organizations/{organizationId}/teams"

payload = { "name": "My team" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My team'})
};

fetch('https://app.formbricks.com/api/v2/organizations/{organizationId}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "createdAt": "2021-01-01T00:00:00.000Z",
  "updatedAt": "2021-01-01T00:00:00.000Z",
  "name": "My team",
  "organizationId": "<string>"
}

Authorizations

x-api-key
string
header
required

Use your Formbricks x-api-key to authenticate.

Path Parameters

organizationId
string
required

The ID of the organization

Body

application/json

The team to create

name
string
required

The name of the team

Example:

"My team"

Response

201 - application/json

Team created successfully.

id
string

The ID of the team

createdAt
string

The date and time the team was created

Example:

"2021-01-01T00:00:00.000Z"

updatedAt
string

The date and time the team was last updated

Example:

"2021-01-01T00:00:00.000Z"

name
string

The name of the team

Example:

"My team"

organizationId
string

The ID of the organization